%define oname GeoIP

Summary: Python bindings for the GeoIP library
Name: python-geoip
Version: 1.3.2
Release: %mkrel 1
Source0: https://pypi.python.org/packages/source/G/%oname/%oname-%{version}.tar.xz
URL: http://www.maxmind.com/app/python
License: BSD-like
Group: Development/Python
BuildRequires: python-devel
BuildRequires: geoip-devel
BuildRequires: python3-devel

%description
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

%package -n python3-geoip
Summary: Python bindings for the GeoIP library
Group: Development/Python

%description -n python3-geoip
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

%prep
%setup -q -n %oname-%version

%build
%py2_build
%py3_build

%install
rm -rf %buildroot
%py2_install
%py3_install

%files
%doc README.rst
%{python2_sitearch}/*

%files -n python3-geoip
%doc README.rst
%{python3_sitearch}/*


%changelog
* Wed Nov 30 2016 adrianomorselli <adrianomorselli> 1.3.2-1uplos2016
- rebuild

* Sun Jul 10 2016 bb <bb> 1.3.2-1pclos2016
- update

